use protocol::Error;

pub mod gui;
pub mod media;
pub mod signal;
pub mod webrtc;

pub async fn sleep(timeout: u16) {
    let sleep_promise = web_sys::js_sys::Promise::new(&mut |resolve, _| {
        web_sys::window()
            .ok_or(Error::Window)
            .unwrap()
            .set_timeout_with_callback_and_timeout_and_arguments_0(&resolve, timeout as i32)
            .unwrap();
    });

    wasm_bindgen_futures::JsFuture::from(sleep_promise)
        .await
        .unwrap();
}
